package com.ruoyi.bst.ad.service.impl;

import com.ruoyi.bst.ad.domain.Ad;
import com.ruoyi.bst.ad.service.AdConverter;
import org.springframework.stereotype.Service;



@Service
public class AdConverterImpl implements AdConverter {

    @Override
    public Ad toPoByCreate(Ad data) {
        if (data == null) {
            return null;
        }
        Ad po = new Ad();
        // 基础信息
        po.setAreaId(data.getAreaId());
        po.setType(data.getType());
        po.setPicture(data.getPicture());
        po.setBelong(data.getBelong());
        po.setUrl(data.getUrl());
        po.setUrlType(data.getUrlType());
        return po;
    }

    @Override
    public Ad toPoByUpdate(Ad data) {
        if (data == null) {
            return null;
        }
        Ad po = new Ad();
        // 基础信息
        po.setAdId(data.getAdId());
        po.setAreaId(data.getAreaId());
        po.setType(data.getType());
        po.setPicture(data.getPicture());
        po.setBelong(data.getBelong());
        po.setUrl(data.getUrl());
        po.setUrlType(data.getUrlType());
        return po;
    }

}
